# Get All Software Tools Endpoint: GET /software-tools Version: 1.0.0 Security: ApiKeyAuth ## Query parameters: - `limit` (integer) The number of results to return (default 10). - `offset` (integer) The page number for pagination (default 0). This is multiplied by limit to get the actual offset. - `order` (string) Sorting property (default sort is by www update date). Multiple sorts can be supplied by comma concatenation. Enum: "wwwUpdateDate", "softwareToolName", "softwareType" - `orderDirection` (string) Sorting direction (default is "desc"). Multiple directions can be defined for multiple sorts. Example: "desc,asc" - `softwareToolName` (string) Filter by software tool name using the "contains" behavior. - `softwareType` (string) Filter by software tool type. This is a string exact match. - `includeDiscontinued` (boolean) Include discontinued software. Default listing only shows active software. ## Response 200 fields (application/json): - `data` (array) - `data.softwareToolName` (string) Unique identifier for the software tool (uses full title). Example: "RZ/G Verified Linux Package [4.4-CIP]" - `data.wwwUpdateDate` (string) Date the software tool page was last updated on the website. - `data.url` (string) Public URL of the software tool page on the Renesas website. Example: "https://www.renesas.com/software-tool/rzg-verified-linux-package-44-cip" - `data.uuid` (string) UUID of the software tool. Example: "8cdd14dc-21a8-4e9e-9d4d-4a83042b4e48" - `data.shortDescription` (string) Brief description of the software tool. Example: "This Linux package contains ported and tested basic software necessary for the industrial segment, and its operation and performance have been verified based on a datasheet. It enables you to start using a stable Linux environment and basic software immediately, so you can concentrate on developing your application." - `data.description` (string) Detailed description of the software tool. Example: "This product provides a whole set of software, which consists of Linux packages and software add-ons. Functions of this product have been verified under our development process management. Regular maintenance is also provided. You can greatly reduce the burden of software development in embedded system development by using this package. Please read the release note included in this product and 'RZ/G Verified Linux Package Start-up Guide' first when you use the package. VLP[4.4-CIP] maintenance will be finished 2027/1H when the maintenance of the corresponding CIP Linux Kernel version is completed." - `data.softwareType` (string) Type classification of the software tool. Example: "Software Package" - `data.parentSoftwareCategory` (array) Parent software category name. Example: [{"title":"Tools to Optimize AI Software for AD/ADAS on R-Car SoC"}] - `data.features` (string) Key features and capabilities of the software tool. Example: "Linux kernel (4.4-CIP or 4.4-CIP-RT), 10+ years support with CIP project cooperation, Device Driver, Media Player IF with GStreamer, Video Codec H.264 decoder/encoder (OMX), Video processing with scaling/clipping/compositing, Graphics function with OpenGL ES (SGX)" - `data.additionalDetails` (string,null) Additional technical details and specifications. - `data.documentationDetails` (string,null) Details about documentation and help resources. - `data.downloadDetails` (string,null) Information about downloads and installation. - `data.releaseInformation` (string,null) Release notes and version information. Example: "Next release: 4.4-CIP version VLP 2.1.25 (end of Dec 2026). Latest: 4.4-CIP version VLP 2.1.24 (Dec 26, 2025). Recent updates include VLP 2.1.23-update2 with both 4.4-CIP and 4.4-CIP-RT support." - `data.targetDeviceDescription` (string,null) Description of target devices and compatibility. Example: "Target Reference Boards: iWave RZ/G1H-PF Development Kit, iWave RZ/G1M-PF Development Kit, iWave RZ/G1N-PF Development Kit, iWave RZ/G1E-PF Development Kit, iWave RZ/G1C-PF Development Kit. All targets support Standard Version." - `data.discontinued` (boolean) Whether the software tool has been discontinued. - `data.externalUrl` (string,null) External download or information URL. - `data.images` (array) Array of image URLs for the software tool. Example: ["https://www.renesas.com/sites/default/files/e2studio-screenshot.png"] - `data.evaluationBoards` (array) List of compatible boards and kits. Example: [{"boardKitId":"rx71m-starter-kit-plus","title":"Renesas Starter Kit+ for RX71M","href":"/boards-kits/rx71m-starter-kit-plus"}] - `data.evaluationBoards.boardKitId` (string) Board or kit identifier. - `data.evaluationBoards.title` (string) Board or kit title. - `data.evaluationBoards.href` (string) URL to the board/kit details. - `data.orderableProducts` (array) List of orderable product parts associated with this board/kit. Example: [{"orderableId":"R5F571MFCDFB#V0","href":"/product-parts/R5F571MGCDFB%2310"},{"orderableId":"R5F571MFCDFC#V0","href":"/product-parts/R5F571MGCDFB%2330"}] - `data.orderableProducts.orderableId` (string) Orderable product part identifier. - `data.orderableProducts.href` (string) URL to the product part endpoint. - `data.featuredDocuments` (array) Featured documents associated with the board/kit. Example: [{"agileId":"X0052700","dcpDocumentId":"R01DS0249EJ0120","title":"RX71M Datasheet Group Rev.1.20","type":"Datasheet","language":"en","href":"/documents/R01DS0249EJ0120"}] - `data.featuredDocuments.agileId` (string) Agile ID of the document. - `data.featuredDocuments.dcpDocumentId` (string,null) DCP Document ID, if applicable. - `data.featuredDocuments.title` (string) Document title. - `data.featuredDocuments.type` (string) Document type. - `data.featuredDocuments.language` (string) Document language. - `data.featuredDocuments.href` (string) Public URL of the document file. - `data.relatedDocuments` (array) Technical documentation associated with the software tool. Example: [[{"agileId":"X0052700","dcpDocumentId":"R01DS0249EJ0120","title":"RX71M Datasheet Group Rev.1.20","type":"Datasheet","language":"en","href":"/documents/R01DS0249EJ0120"}]] - `data.relatedDocumentsSecondary` (array) Secondary related documents. Example: [{"agileId":"X0052700","dcpDocumentId":"R01DS0249EJ0120","title":"RX71M Datasheet Group Rev.1.20","type":"Datasheet","language":"en","href":"/documents/R01DS0249EJ0120"}] - `data.relatedSoftwareTools` (array) Related software tools (primary). Example: [{"softwareToolName":"RZ/G Linux BSP","href":"/software-tools/RZ/G Linux BSP"}] - `data.relatedSoftwareTools.softwareToolName` (string) Software tool identifier. - `data.relatedSoftwareTools.href` (string) URL to the software tool details. - `data.relatedSoftwareToolsSecondary` (array) Related software tools (secondary). - `data.relatedSoftwareToolsSecondary.name` (string) Software tool identifier. - `data.alternative` (object,null) Alternative software tool. - `data.alternative.softwareToolName` (string) Alternative tool identifier. - `data.alternative.href` (string) URL to the alternative tool. - `data.alternative.notes` (string,null) Notes about the alternative. - `data.partner` (array,null) Partner information if applicable. Example: [{"name":"TESSERA Technology Inc.","url":"https://www.tessera.co.jp/eng/"}] - `data.partner.name` (string) Partner company name. - `data.partner.url` (string,null) Partner website URL. - `data.relatedVideos` (array) Related video content. - `data.relatedVideos.videoId` (string) Video node ID. Example: "25586088" - `data.relatedVideos.title` (string) Video title. Example: "How to Use Event Link Control on RA0E1 Fast Prototyping Board" - `data.relatedVideos.url` (string) Video URL. Example: "https://www.renesas.com/video/how-use-event-link-control-ra0e1-fast-prototyping-board" - `pagination` (object) - `pagination.offset` (integer) The actual offset used (page * limit) - `pagination.limit` (integer) The number of items per page - `pagination.total` (integer) Total number of items available - `pagination.has_more` (boolean) Whether there are more items available ## Response 500 fields (application/json): - `error` (string)